<style>
.message {
    position: absolute;
    z-index: 20;
    margin-top: 5%;
    width: 40%;
    margin-left: 50%; 
    text-align: center;
    font-weight: bold;
    color: <?php echo (empty($color)) ? '#fff' : $color; ?>;
    font-family: 'Roboto Condensed', sans-serif;
    text-transform: uppercase;
    <?php if($flicker == true) { ?>
    animation: neon-1 .1s ease-in-out infinite alternate;
}
@keyframes neon-1 {
    from {
        text-shadow: 0 0 6px rgba(202, 228, 225, 0.92), 0 0 30px rgba(202, 228, 225, 0.34), 0 0 12px rgba(191, 226, 255, 0.52), 0 0 21px rgba(191, 226, 255, 0.92), 0 0 34px rgba(191, 226, 255, 0.78), 0 0 54px rgba(191, 226, 255, 0.92);
    }
    to {
        text-shadow: 0 0 6px rgba(202, 228, 225, 0.98), 0 0 30px rgba(202, 228, 225, 0.42), 0 0 12px rgba(191, 226, 255, 0.58), 0 0 22px rgba(191, 226, 255, 0.84), 0 0 38px rgba(191, 226, 255, 0.88), 0 0 60px #fff;
    }
}
<?php } ?>
</style>

<?php $this->addCSS('templates/default/widgets/sky/css/sky.css'); ?>
<?php $this->addJS('templates/default/widgets/sky/js/parallax.min.js'); ?>
<?php $this->addJS('templates/default/widgets/sky/js/sparticles.min.js'); ?>

<?php $image1 = html_image_src($img1, $size_preset='original', $is_add_host=false, $is_relative=true); 
      $image2 = html_image_src($img2, $size_preset='original', $is_add_host=false, $is_relative=true);
      $image3 = html_image_src($img3, $size_preset='original', $is_add_host=false, $is_relative=true);
      $image4 = html_image_src($img4, $size_preset='original', $is_add_host=false, $is_relative=true);
?>

<div class="scene">
    <div class="falling"></div> 
    <?php if($title_check == true) { ?>
    <div class="message" data-depth="0.1">
        <?php echo html($title); ?>
    </div>
    <?php } ?>
    <div class="background" data-depth="0.2">
        <img src="/upload/<?php echo (empty($img1)) ? 'sky/winter.jpg' : $image1; ?>" />
    </div>
    <div class="snow back" data-depth="0.3">
        <img src="/upload/<?php echo (empty($img2)) ? 'sky/snowyHills.png' : $image2; ?>" />    
    </div>
    <div class="snow front" data-depth="0.5">
        <img src="/upload/<?php echo (empty($img3)) ? 'sky/snowyHills2.png' : $image3; ?>" />
    </div>  
    <div class="tree" data-depth="0.5">
        <img src="/upload/<?php echo (empty($img4)) ? 'sky/christmasTree.png' : $image4; ?>" />
    </div>
</div>

<?php ob_start(); ?>

<script>
let scene = document.querySelector('.scene');
let parallaxInstance = new Parallax(scene, {
	clipRelativeInput: true,
	relativeInput: true
});
</script>

<script>
let colors = {
    <?php $num = 1; ?>
    <?php foreach ($colors as $sky => $colorr){ ?>
	color<?php echo $num++; ?>: "<?php echo $colorr; ?>",
    <?php } ?>
};
let options = {
	alphaSpeed: 10,
	alphaVariance: 1,
    <?php $num1 = 1; ?>
	color: [<?php foreach ($colors as $sky => $colorr){ ?>colors.color<?php echo $num1++; ?>, <?php } ?>],
	composition: "source-over",
	count: <?php echo (empty($snow_count)) ? '100' : $snow_count; ?>,
	direction: 161,
	float: 0.75,
	glow: 0,
	imageUrl: [
		"/upload/sky/snow-1.svg",
		"/upload/sky/snow-2.svg",
		"/upload/sky/snow-3.svg",
		"/upload/sky/snow-4.svg",
		"/upload/sky/snow-5.svg",
		"/upload/sky/snow-6.svg"
	],
	maxAlpha: 2,
	maxSize: <?php echo (empty($snow_max)) ? '22' : $snow_max; ?>,
	minAlpha: -0.2,
	minSize: <?php echo (empty($snow_min)) ? '4' : $snow_min; ?>,
	parallax: 2.75,
    <?php if($snow_rotation == true) { ?>
	rotate: true,
    rotation: 2,
    <?php } ?>
	shape: "image",
	speed: <?php echo (empty($snow_speed)) ? '5' : $snow_speed; ?>,
	style: "fill",
	twinkle: false,
	xVariance: 5,
	yVariance: 0,
};
function resize() {
	let w = scene.offsetWidth;
	scene.style.height = w/2 + "px";
	scene.style.fontSize = w/22 + "px";
}
window.onload = function() {
	resize();
	let main = document.querySelector('.falling');
	let mySparticles = new sparticles.Sparticles(main, options);
}
window.onresize = resize;	
</script>

<?php $this->addBottom(ob_get_clean()); ?>