/**!
 * Sparticles - Lightweight, High Performance Particles in Canvas
 * @version 0.9.0
 * @license MPL-2.0
 * @author simeydotme <simey.me@gmail.com>
 */
var sparticles=function(t){"use strict";function i(t){return(i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function e(t,i,e){return i in t?Object.defineProperty(t,i,{value:e,enumerable:!0,configurable:!0,writable:!0}):t[i]=e,t}function s(t,i){var e=Object.keys(t);if(Object.getOwnPropertySymbols){var s=Object.getOwnPropertySymbols(t);i&&(s=s.filter((function(i){return Object.getOwnPropertyDescriptor(t,i).enumerable}))),e.push.apply(e,s)}return e}function n(t){for(var i=1;i<arguments.length;i++){var n=null!=arguments[i]?arguments[i]:{};i%2?s(n,!0).forEach((function(i){e(t,i,n[i])})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):s(n).forEach((function(i){Object.defineProperty(t,i,Object.getOwnPropertyDescriptor(n,i))}))}return t}var r=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:function(){},i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:60;this.fps=i,this.handler=t;var e=0;this.start=function(){var t=this;if(!this.started){var i=performance.now(),s=1e3/this.fps;e=requestAnimationFrame((function n(r){var a=r-i;e=requestAnimationFrame(n),a>=s-0&&(t.handler(a),i=r-a%s)})),this.started=!0}},this.stop=function(){cancelAnimationFrame(e),this.started=!1}},a=function(t){return[Math.cos(h(t-90)),Math.sin(h(t-90))]},o=function(t){var i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,e=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;return Math.max(i,Math.min(e,t))},h=function(t){return t*Math.PI/180},c=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0,i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1,e=arguments.length>2&&void 0!==arguments[2]?arguments[2]:Math.random();return(0!==t||1!==i)&&i>t&&(e=e*(i-t)+t),e},l=function(t){return t[Math.floor(c(0,t.length))]},p=function(t){return t>c()},g=function(t){return.5+t|0},u=function(t){return t?(this.canvas=t.canvas,this.images=t.images,this.settings=t.settings,this.ctx=t.canvas.getContext("2d"),this.init()):console.warn("Invalid parameters given to Sparticle()",arguments),this};u.prototype.init=function(){this.setup(),this.alpha=c(this.settings.minAlpha,this.settings.maxAlpha),this.shape=this.getShapeOrImage(),this.fillColor=this.getColor(),this.strokeColor=this.getColor(),this.px=g(c(2*-this.size,this.canvas.width+this.size)),this.py=g(c(2*-this.size,this.canvas.height+this.size)),this.rotation=this.settings.rotate?h(c(0,360)):0},u.prototype.setup=function(){var t=this.settings;this.frame=0,this.frameoffset=g(c(0,360)),this.size=g(c(t.minSize,t.maxSize)),this.da=this.getAlphaDelta(),this.dx=this.getDeltaX(),this.dy=this.getDeltaY(),this.dd=this.getDriftDelta(),this.dr=this.getRotationDelta()},u.prototype.reset=function(){this.setup(),this.py<0?this.py=this.canvas.height+2*this.size:this.py>this.canvas.height&&(this.py=0-2*this.size),this.px<0?this.px=this.canvas.width+2*this.size:this.px>this.canvas.width&&(this.px=0-2*this.size)},u.prototype.isOffCanvas=function(){var t=0-3*this.size,i=this.canvas.height+3*this.size,e=this.canvas.width+3*this.size;return this.px<t||this.px>e||this.py<t||this.py>i},u.prototype.getColor=function(){if(Array.isArray(this.settings.color))return l(this.settings.color)},u.prototype.getShapeOrImage=function(){var t=this.settings.shape;if(Array.isArray(t))return"image"===t[0]&&this.images?l(this.images):l(t)},u.prototype.getDelta=function(){var t=.1*this.settings.speed;return this.settings.speed&&this.settings.parallax?t+this.size*this.settings.parallax/50:t},u.prototype.getDeltaVariance=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0,i=this.settings.speed||10;return t>0?c(-t,t)*i/100:0},u.prototype.getDeltaX=function(){var t=this.getDelta(),i=this.getDeltaVariance(this.settings.xVariance);return a(this.settings.direction)[0]*t+i},u.prototype.getDeltaY=function(){var t=this.getDelta(),i=this.getDeltaVariance(this.settings.yVariance);return a(this.settings.direction)[1]*t+i},u.prototype.getAlphaDelta=function(){var t=this.settings.alphaVariance,i=c(1,t+1);return p(.5)&&(i=-i),i},u.prototype.getDriftDelta=function(){return this.settings.drift?c(this.settings.drift-this.settings.drift/2,this.settings.drift+this.settings.drift/2):0},u.prototype.getRotationDelta=function(){var t=0;return this.settings.rotate&&this.settings.rotation&&(t=h(c(.5,1.5)*this.settings.rotation),p(.5)&&(t=-t)),t},u.prototype.update=function(){return this.frame+=1,this.updatePosition(),this.updateAlpha(),this},u.prototype.updateAlpha=function(){return this.settings.alphaSpeed>0&&(this.settings.twinkle?this.alpha=this.updateTwinkle():this.alpha=this.updateFade()),this.alpha},u.prototype.updateFade=function(){var t=this.da/1e3*this.settings.alphaSpeed*.5,i=this.alpha+t,e=this.da>0&&i>this.settings.maxAlpha,s=this.da<0&&i<this.settings.minAlpha;return(e||s)&&(this.da=-this.da,i=this.settings.maxAlpha,s&&(i=this.settings.minAlpha)),i},u.prototype.updateTwinkle=function(){var t=this.alpha,i=Math.abs(this.da),e=t>this.settings.maxAlpha,s=t<this.settings.minAlpha,n=i/1e3*this.settings.alphaSpeed*.5;return this.resettingTwinkle?t+=.02*this.settings.alphaSpeed:t-=n,s?(this.resettingTwinkle=!0,t=this.settings.minAlpha):e&&(this.resettingTwinkle=!1,t=this.settings.maxAlpha),t},u.prototype.updatePosition=function(){this.isOffCanvas()?this.reset():(this.px+=this.dx,this.py+=this.dy,this.updateDrift(),this.updateRotation())},u.prototype.updateRotation=function(){this.settings.rotate&&this.settings.rotation&&(this.rotation+=this.dr)},u.prototype.updateDrift=function(){this.settings.drift&&this.settings.speed&&(this.settings.direction>150&&this.settings.direction<210||this.settings.direction>330&&this.settings.direction<390||this.settings.direction>-30&&this.settings.direction<30?this.px+=a(this.frame+this.frameoffset)[0]*this.dd/(15*this.getDelta()):(this.settings.direction>60&&this.settings.direction<120||this.settings.direction>240&&this.settings.direction<300)&&(this.py+=a(this.frame+this.frameoffset)[1]*this.dd/(15*this.getDelta())))},u.prototype.render=function(t){var i=t[this.fillColor][this.shape],e=i.width,s=this.size/e,n=this.px/s,r=this.py/s;return this.renderRotate(),this.ctx.globalAlpha=o(this.alpha,0,1),this.ctx.transform(s,0,0,s,0,0),this.ctx.globalCompositeOperation!==this.settings.composition&&(this.ctx.globalCompositeOperation=this.settings.composition),this.ctx.drawImage(i,0,0,e,e,n,r,e,e),this.ctx.setTransform(1,0,0,1,0,0),this},u.prototype.renderRotate=function(){if(this.settings.rotate){var t=this.px+this.size/2,i=this.py+this.size/2;this.ctx.translate(t,i),this.ctx.rotate(this.rotation),this.ctx.translate(-t,-i)}};var f=function(t){var e=this,s=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r=arguments.length>2?arguments[2]:void 0,a=arguments.length>3?arguments[3]:void 0;1===arguments.length&&"object"===i(arguments[0])&&(s=t,t=void 0);var o={alphaSpeed:10,alphaVariance:1,color:"white",composition:"source-over",count:50,direction:180,float:1,glow:0,imageUrl:"",maxAlpha:1,maxSize:10,minAlpha:0,minSize:1,parallax:1,rotate:!0,rotation:1,shape:"circle",speed:10,style:"fill",twinkle:!1,xVariance:2,yVariance:2};return this.el=t||document.body,this.settings=n({},o,{},s),this.init(r,a),window.addEventListener("resize",(function(){clearTimeout(e.resizeTimer),e.resizeTimer=setTimeout((function(){e.setCanvasSize(),e.createSparticles()}),200)})),this};return f.prototype.init=function(t,i){var e=this;this.sparticles=[],this.createColorArray(),this.createShapeArray(),this.setupMainCanvas(t,i),this.setupOffscreenCanvasses((function(){e.createSparticles(),e.start()}))},f.prototype.start=function(){var t=this;this.loop||(this.loop=new r((function(i){t.render(i)}))),this.loop.start()},f.prototype.stop=function(){this.loop.stop()},f.prototype.destroy=function(){this.stop(),this.sparticles=null,this.canvasses=null,this.start=null,this.stop=null,this.init=null,this.settings=null,this.el.removeChild(this.canvas)},f.prototype.setCanvasSize=function(t,i){return void 0===this.resizable&&(this.resizable=!t&&!i),this.resizable?(this.width=this.el.clientWidth,this.height=this.el.clientHeight):t&&i&&(this.width=t,this.height=i),this.canvas.width=this.width,this.canvas.height=this.height,this.canvas},f.prototype.createColorArray=function(){if(!Array.isArray(this.settings.color))if("rainbow"===this.settings.color){this.settings.color=[];for(var t=0;t<50;t++)this.settings.color[t]=(i=void 0,e=void 0,s=void 0,i=g(c(0,360)),e=g(c(90,100)),s=g(c(45,85)),"hsl(".concat(i,",").concat(e,"%,").concat(s,"%)"))}else this.settings.color=[this.settings.color];var i,e,s;return this.settings.color},f.prototype.createShapeArray=function(){return Array.isArray(this.settings.shape)||("random"===this.settings.shape?this.settings.shape=["square","circle","triangle","diamond"]:this.settings.shape=[this.settings.shape]),this.settings.shape},f.prototype.setupMainCanvas=function(t,i){return this.canvas=document.createElement("canvas"),this.ctx=this.canvas.getContext("2d"),this.ctx.globalCompositeOperation=this.settings.composition,this.setCanvasSize(t,i),this.el.appendChild(this.canvas),this.canvas},f.prototype.setupOffscreenCanvasses=function(t){var i=this;this.canvasses=this.canvasses||{},this.settings.color.forEach((function(e){i.canvasses[e]=i.canvasses[e]||{},"image"===i.settings.shape[0]?i.loadAndDrawImages(e,t):i.settings.shape.forEach((function(s){i.canvasses[e][s]=document.createElement("canvas");var n=i.canvasses[e][s],r=n.getContext("2d");switch(s){case"square":i.drawOffscreenCanvasForSquare(n,r,e),t&&t();break;case"line":i.drawOffscreenCanvasForLine(n,r,e),t&&t();break;case"triangle":i.drawOffscreenCanvasForTriangle(n,r,e),t&&t();break;case"diamond":i.drawOffscreenCanvasForDiamond(n,r,e),t&&t();break;case"circle":default:i.drawOffscreenCanvasForCircle(n,r,e),t&&t()}}))}))},f.prototype.getGlowSize=function(t){return this.settings.glow},f.prototype.getLineSize=function(t){return o(t/20,1,5)},f.prototype.renderStyle=function(t,i,e){"fill"===this.settings.style?t.fillStyle=i:(t.lineWidth=e,t.strokeStyle=i)},f.prototype.renderGlow=function(t,i,e){var s=this.getGlowSize(e)/2;t.shadowColor=i,t.shadowBlur=s},f.prototype.renderColor=function(t){"fill"===this.settings.style?t.fill():t.stroke()},f.prototype.drawOffscreenCanvasForSquare=function(t,i,e){var s=this.settings.maxSize,n=this.getLineSize(s),r=s+n+this.getGlowSize(s);return t.width=r,t.height=r,this.renderGlow(i,e,s),this.renderStyle(i,e,n),i.beginPath(),i.rect(r/2-s/2,r/2-s/2,s,s),this.renderColor(i,e),t},f.prototype.drawOffscreenCanvasForLine=function(t,i,e){var s=2*this.settings.maxSize,n=this.getLineSize(s),r=s+n+this.getGlowSize(s),a=r/2-s/2,o=r/2-s/2;return t.width=r,t.height=r,this.renderGlow(i,e,s),i.lineWidth=n,i.strokeStyle=e,i.beginPath(),i.moveTo(a,o),i.lineTo(a+s,o+s),i.stroke(),i.closePath(),t},f.prototype.drawOffscreenCanvasForTriangle=function(t,i,e){var s=this.settings.maxSize,n=this.getLineSize(s),r=s+n+this.getGlowSize(s),a=s*(Math.sqrt(3)/2),o=r/2,h=r/2-s/2;return t.width=r,t.height=r,this.renderGlow(i,e,s),this.renderStyle(i,e,n),i.beginPath(),i.moveTo(o,h),i.lineTo(o-s/2,h+a),i.lineTo(o+s/2,h+a),i.closePath(),this.renderColor(i,e),t},f.prototype.drawOffscreenCanvasForDiamond=function(t,i,e){var s=this.settings.maxSize,n=s/2,r=this.getLineSize(s),a=s+r+this.getGlowSize(s),o=a/2,h=.08*s,c=.02*s,l=o-n,p=o;return t.width=a,t.height=a,this.renderGlow(i,e,s),this.renderStyle(i,e,r),i.beginPath(),i.moveTo(l+c,p),i.bezierCurveTo(o-h/2,o-2*h,o-2*h,o-h/2,o,o-n),i.bezierCurveTo(o+2*h,o-h/2,o+h/2,o-2*h,o+n-c,o),i.bezierCurveTo(o+h/2,o+2*h,o+2*h,o+h/2,o,o+n),i.bezierCurveTo(o-2*h,o+h/2,o-h/2,o+2*h,l+c,p),i.closePath(),this.renderColor(i,e),t},f.prototype.drawOffscreenCanvasForCircle=function(t,i,e){var s=this.settings.maxSize,n=this.getLineSize(s),r=s+n+this.getGlowSize(s);return t.width=r,t.height=r,this.renderGlow(i,e,s),this.renderStyle(i,e,n),i.beginPath(),i.ellipse(r/2,r/2,s/2,s/2,0,0,360),this.renderColor(i,e),t},f.prototype.loadAndDrawImages=function(t,i){var e=this,s=this.settings.imageUrl,n=Array.isArray(s)?s:[s],r=n.length,a=0;this.images=[],n.forEach((function(s,n){var o="image"+n;e.images.push(o),e.canvasses[t][o]=document.createElement("canvas");var h=e.canvasses[t][o],c=h.getContext("2d"),l=new Image;l.onload=function(){a++,e.drawImageOffscreenCanvas(l,h,c,t),i&&a===r&&i()},l.onerror=function(){console.error("failed to load source image: ",s)},l.src=s}))},f.prototype.drawImageOffscreenCanvas=function(t,i,e,s){var n=t.width;return i.width=n,i.height=n,e.drawImage(t,0,0,n,n,0,0,n,n),e.globalCompositeOperation="source-atop",e.fillStyle=s,e.fillRect(0,0,n,n),i},f.prototype.createSparticles=function(){this.sparticles=[];for(var t=0;t<this.settings.count;t++)this.sparticles.push(new u(this));return this.sparticles.sort((function(t,i){return t.size>i.size})),this.sparticles},f.prototype.render=function(){this.ctx.clearRect(0,0,this.width,this.height);var t=!0,i=!1,e=void 0;try{for(var s,n=this.sparticles[Symbol.iterator]();!(t=(s=n.next()).done);t=!0){s.value.update().render(this.canvasses)}}catch(t){i=!0,e=t}finally{try{t||null==n.return||n.return()}finally{if(i)throw e}}return this.sparticles},t.Sparticles=f,t}({});
